pkis:
  BamPKI:
    endpoint: ${companyAuthorities.BamPKI.endpoint}
    certificatePath: ${companyAuthorities.BamPKI.certificatePath}
    keyPassword: ${companyAuthorities.BamPKI.password}
keyStore:
  path: ${keyStore.path}
  keyStorePassword: ${keyStore.path}
---
spring:
  certificate:
    duration:
      hours: ${DURATION_HOURS_EXPIRE_CERTIFICATE:2}
      minutes: ${DURATION_MINUTES_EXPIRE_CERTIFICATE:}
---
management:
  endpoints:
    web:
      exposure:
        include: "*"
  health:
    readiness-state:
      enabled: true
    liveness-state:
      enabled: true
  endpoint:
    shutdown:
      enabled: true
    health:
      probes:
        enabled: true
  info:
    env:
      enabled: true
  metrics:
    tags:
      application: ${spring.application.name}

endpoints:
  shutdown:
    enabled: true
---
logging:
  level:
    com:
      baridmedia.imdae:
        rcc: DEBUG
  pattern:
    level: "%5p [${spring.application.name},%X{trace_id},%X{span_id}]"
---
info:
  app:
    name: "server rcc"
    description: "Server RCC Application (mode default)"
    version: "1.0.0"
